public class OpenSearchCoreTests extends CommonFixture
| Parameter name | Parameter value template | Description |
|---|---|---|
| q | {searchTerms} | A comma-separated list of terms used to search across all text fields. The value must be URL-encoded. |
| startPosition | {startIndex?} | Integer value specifying first search result desired by the client. |
| maxRecords | {count?} | Non-negative integer value specifying the number of search results (per page) desired by the client. |
Sources
atomSchema, client, cswCapabilities, cswSchema, request, response, ROOT_PKG_PATH, SCHEMATRON_ATOM| Constructor and Description |
|---|
OpenSearchCoreTests() |
| Modifier and Type | Method and Description |
|---|---|
void |
executeExampleQueries()
Executes example queries specified in the OpenSearch description
document.
|
void |
initOpenSearchCoreTestsFixture(org.testng.ITestContext testContext)
Initializes the test fixture.
|
(package private) NodeList |
invokeQuery(Element qryTemplate,
Map<QName,String> parameters)
Invokes the query defined by the given OpenSearch template.
|
void |
keywordSearch_emptyResultSet()
[Test] Submits a keyword search where the searchTerms value is a randomly
generated sequence of 5-14 characters in the range [a-z].
|
void |
multipleKeywordSearch()
[Test] Submits a keyword search request where the {searchTerms} value
contains two terms (URL-encoded).
|
(package private) String |
randomlySelectTitleWord(List<String> titles)
Returns a word from a randomly selected title in the given list.
|
(package private) void |
setSearchTerm(String searchTerm) |
void |
singleKeywordSearch()
[Test] Submits a keyword search where the {searchTerms} value is a title
word (URL-encoded) that occurs in at least one catalog record.
|
void |
sliceResults()
[Test] Submits a query that contains the
count and
startIndex parameters. |
buildGetRequest, clearMessages, getResponseEntityAsDocument, initCommonFixturevoid setSearchTerm(String searchTerm)
public void initOpenSearchCoreTestsFixture(org.testng.ITestContext testContext)
testContext - The test context containing various suite attributes.public void keywordSearch_emptyResultSet()
public void singleKeywordSearch()
public void multipleKeywordSearch()
public void sliceResults()
count and
startIndex parameters. The response entity must contain the
requested 'slice' of the result set in accord with its content model:
public void executeExampleQueries()
NodeList invokeQuery(Element qryTemplate, Map<QName,String> parameters)
qryTemplate - An Element representing an OpenSearch query template
(osd:Url).parameters - A Map containing the actual query parameters.Copyright © 2018 Open Geospatial Consortium. All rights reserved.